@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@100;300;400;500;800&display=swap');

*,
*::before,
*::after {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Montserrat', sans-serif;
    background-color: #ffffff;
}

.header {
    display: flex;
    align-items: center;
    background-color: #6d6d6d8a;
    /* Adapte a cor de fundo conforme necessário */
    padding-top: 25px;
    /* Adapte o espaçamento interno conforme necessário */
    padding-left: 145px;
    /* Adapte o espaçamento interno conforme necessário */
    z-index: 10;
    width: 100%;
    padding-bottom: 15px;
}

.header-logo {
    margin-right: 25px;
    /* Adapte o espaçamento entre o logo e a navbar conforme necessário */
}

.header-logo-img {
    width: 150px;
}

.header-navbar {
    display: flex;
}

.header-navbar a {
    margin-right: 20px;
    /* Adapte o espaçamento entre os links da navbar conforme necessário */
    text-decoration: none;
    color: #ffffffb4;
    /* Adapte a cor dos links conforme necessário */
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    font-size: 1.05rem;
    letter-spacing: 0.5px;
    transition: font-size 0.5s ease;
    /* Adiciona uma transição suave */
}

.header-navbar a:hover {
    color: white;
    font-size: 1.2rem;
    /* Ajuste o tamanho desejado ao passar o mouse */
    transition: font-size 0.3s ease-in-out;
    /* Adiciona uma transição suave */
}

.social-icons {
    display: flex;
    position: absolute;
    right: 0;
    text-decoration: none;
    color: white;
}

.social-icons i {
    font-size: 1.25rem;
    /* Adapte o tamanho dos ícones de redes sociais conforme necessário */
    color: white;
    background-color: #00535B;
    /* Cor azul para o círculo */
    border-radius: 100%;
    /* Transforma o ícone em um círculo */
    padding: 10px;
    /* Espaçamento interno dentro do círculo */
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 500;
    cursor: pointer;
    transition: font-size 0.5s ease;
    /* Adiciona uma transição suave */
}

.social-icons i:hover {
    font-size: 1.5rem;
    /* Ajuste o tamanho desejado ao passar o mouse */
    transition: font-size 0.3s ease-in-out;
    /* Adiciona uma transição suave */
    background-color: #00353a;
}

.social-icons i.fa-facebook {
    margin-right: 9.25vw;
}

.social-icons i.fa-instagram {
    margin-right: 6.1vw;
}

.slider {
    height: 110vh;
    position: relative;
    z-index: 1;
}

.slider .list .item {
    position: absolute;
    inset: 0 0 0 0;
    overflow: hidden;
    opacity: 0;
    transition: .5s;
}

.slider .list .item video {
    width: 100%;
    height: 100%;
    object-fit: fill;
}

.slider .list .item::after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    bottom: 0;
}

.slider .list .item .content {
    position: absolute;
    left: 10%;
    bottom: 20%;
    width: 45vw;
    max-width: 80%;
    z-index: 1;
    color: white;
}

.slider .list .item .content p:nth-child(1) {
    text-transform: uppercase;
    letter-spacing: 10px;
}

.slider .list .item .content h2 {
    font-size: 3rem;
    margin: 0;
}

.slider .list .item .content button {
    font-size: 1.25rem;
    text-decoration: none;
    background-color: #007782;
    color: white;
    border: none;
    font-family: 'Montserrat', sans-serif;
    letter-spacing: 0.25px;
    padding: 15px;
    border-radius: 1px;
    margin-top: 15px;
    cursor: pointer;
    transition: 0.3s ease;
}

.slider .list .item .content button:hover {
    background-color: #00353a;
    transition: 0.5s ease;
}

.slider .list .item.active {
    opacity: 1;
    z-index: 10;
}

@keyframes showContent {
    to {
        transform: translateY(0);
        filter: blur(0);
        opacity: 1;
    }
}

.slider .list .item.active p:nth-child(1),
.slider .list .item.active h2,
.slider .list .item.active p:nth-child(3),
.slider .list .item.active button {
    transform: translateY(30px);
    filter: blur(20px);
    opacity: 0;
    animation: showContent .5s .7s ease-in-out 1 forwards;
}

.slider .list .item.active h2 {
    animation-delay: 1s;
}

.slider .list .item.active p:nth-child(3) {
    animation-duration: 1.3s;
}

.arrows {
    position: absolute;
    top: 50%;
    width: 100%;
    right: 50px;
    z-index: 100;
}

#prev {
    left: 5rem;
    /* Ajuste a posição conforme necessário */
    position: absolute;
}

#next {
    right: 20px;
    /* Ajuste a posição conforme necessário */
    position: absolute;
}

.arrows button {
    background-color: #838383;
    border: none;
    font-family: monospace;
    width: 40px;
    height: 40px;
    border-radius: 50%;
    font-size: x-large;
    color: #ffffff;
    transition: .9s;
    cursor: pointer;
}

.arrows button:hover {
    background-color: #83838391;
    cursor: pointer;
}

@media screen and (max-width: 720px) {
    .slider {
        padding-top: 5rem;
    }
}

.history-title {
    text-align: center;
    padding-top: 2rem;
    padding-bottom: 3rem;
    color: #007782;
    font-family: 'Montserrat', sans-serif;
    letter-spacing: 0.35px;
}

ul {
    --col-gap: 2rem;
    --row-gap: 2rem;
    --line-w: 0.25rem;
    display: grid;
    grid-template-columns: var(--line-w) 1fr;
    grid-auto-columns: max-content;
    column-gap: var(--col-gap);
    list-style: none;
    width: min(60rem, 90%);
    margin-inline: auto;
}

/* line */
ul::before {
    content: "";
    grid-column: 1;
    grid-row: 1 / span 20;
    background: rgb(225, 225, 225);
    border-radius: calc(var(--line-w) / 2);
}

/* columns*/

/* row gaps */
ul li:not(:last-child) {
    margin-bottom: var(--row-gap);
}

/* card */
ul li {
    grid-column: 2;
    --inlineP: 1.5rem;
    margin-inline: var(--inlineP);
    grid-row: span 2;
    display: grid;
    grid-template-rows: min-content min-content min-content;
}

/* date */
ul li .date {
    --dateH: 3rem;
    height: var(--dateH);
    margin-inline: calc(var(--inlineP) * -1);

    text-align: center;
    background-color: var(--accent-color);

    color: white;
    font-size: 1.25rem;
    font-weight: 700;

    display: grid;
    place-content: center;
    position: relative;

    border-radius: calc(var(--dateH) / 2) 0 0 calc(var(--dateH) / 2);
}

/* date flap */
ul li .date::before {
    content: "";
    width: var(--inlineP);
    aspect-ratio: 1;
    background: var(--accent-color);
    background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
    position: absolute;
    top: 100%;

    clip-path: polygon(0 0, 100% 0, 0 100%);
    right: 0;
}

/* circle */
ul li .date::after {
    content: "";
    position: absolute;
    width: 2rem;
    aspect-ratio: 1;
    background: rgba(245, 245, 245);
    border: 0.3rem solid var(--accent-color);
    border-radius: 50%;
    top: 50%;

    transform: translate(50%, -50%);
    right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}

/* title descr */
ul li .title,
ul li .descr {
    background: rgba(245, 245, 245);
    position: relative;
    padding-inline: 1.5rem;
}

ul li .title {
    overflow: hidden;
    padding-block-start: 1.5rem;
    padding-block-end: 1rem;
    font-weight: 500;
}

ul li .descr {
    padding-block-end: 1.5rem;
    font-weight: 300;
}

/* shadows */
ul li .title::before,
ul li .descr::before {
    content: "";
    position: absolute;
    width: 90%;
    height: 0.5rem;
    background: rgba(0, 0, 0, 0.5);
    left: 50%;
    border-radius: 50%;
    filter: blur(4px);
    transform: translate(-50%, 50%);
}

ul li .title::before {
    bottom: calc(100% + 0.125rem);
}

ul li .descr::before {
    z-index: -1;
    bottom: 0.25rem;
}

@keyframes fade-down {

    0% {
        transform: translateY(-30px) scale(0.9);
    }

    100% {
        opacity: 1;
        transform: translateY(0px) scale(1);
    }

}

.end_page {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 50vh;
    animation: fade-down 2s 3s forwards;
    opacity: 0;
}

.end_logo {
    width: 35%;
}

@media (min-width: 40rem) {
    ul {
        grid-template-columns: 1fr var(--line-w) 1fr;
    }

    ul::before {
        grid-column: 2;
    }

    ul li:nth-child(odd) {
        grid-column: 1;
    }

    ul li:nth-child(even) {
        grid-column: 3;
    }

    /* start second card */
    ul li:nth-child(2) {
        grid-row: 2/4;
    }

    ul li:nth-child(odd) .date::before {
        clip-path: polygon(0 0, 100% 0, 100% 100%);
        left: 0;
    }

    ul li:nth-child(odd) .date::after {
        transform: translate(-50%, -50%);
        left: calc(100% + var(--col-gap) + var(--line-w) / 2);
    }

    ul li:nth-child(odd) .date {
        border-radius: 0 calc(var(--dateH) / 2) calc(var(--dateH) / 2) 0;
    }
}

@media (max-width: 768px) {
    .header {
        padding-left: 15px; /* Reduzindo o padding para a barra de navegação */
        padding-right: 15px; /* Adicionando padding à direita */
    }

    .header-navbar {
        flex-direction: column; /* Alterando a direção da barra de navegação para uma coluna */
    }

    .header-navbar a {
        margin-right: 0; /* Removendo o margin-right para os links da barra de navegação */
        margin-bottom: 15px; /* Adicionando um espaçamento inferior entre os links */
    }

    .header-logo {
        margin-right: 4rem; /* Removendo o margin-right para o logo */
        margin-bottom: 15px; /* Adicionando um espaçamento inferior */
    }

    .social-icons {
        display: none; /* Escondendo os ícones de redes sociais */
    }

    .slider {
        height: 45vh;
    }

    .slider .list .item video {
        object-fit: contain;
    }

    .end_page {
        height: unset;
    }

    .end_logo {
        width: 27rem;
        padding-right: 10px;
    }

    #next {
        right: -25px;
    }

}